GeoFRED Series Group
curl --request GET \
--url https://api.aisa.one/apis/v1/geofred/series/group \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/geofred/series/group"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/geofred/series/group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/geofred/series/group",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/geofred/series/group"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/geofred/series/group")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/geofred/series/group")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?xml version="1.0" encoding="utf-8" ?>
<series_meta>
<series_meta title="All Employees: Total Private" region_type="state" series_group="1223" season="NSA" units="Thousands of Persons" frequency="a" min_date="1990-01-01" max_date="2021-01-01"/>
</series_meta>FRED
GeoFRED Series Group
{"methods":[{"methodType":"GET","methodDesc":"Returns the meta information needed to make requests for FRED map data. Includes min/max date and data range.","requestParams":[{"name":"series_id","type":"string","required":true,"description":"The FRED series id to request maps meta information for. Not all series have geographical data."}],"responseParams":[{"name":"series_group","type":"object","description":"Object with title, region_type, series_group, season, units, frequency, min_date, max_date."}]}]}
<!-- aisa-pricing:start -->
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
geofred
/
series
/
group
GeoFRED Series Group
curl --request GET \
--url https://api.aisa.one/apis/v1/geofred/series/group \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/geofred/series/group"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/geofred/series/group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/geofred/series/group",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/geofred/series/group"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/geofred/series/group")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/geofred/series/group")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?xml version="1.0" encoding="utf-8" ?>
<series_meta>
<series_meta title="All Employees: Total Private" region_type="state" series_group="1223" season="NSA" units="Thousands of Persons" frequency="a" min_date="1990-01-01" max_date="2021-01-01"/>
</series_meta>Request contract
- Method and path: GET /apis/v1/geofred/series/group
- Request URL template: https://api.aisa.one/apis/v1/geofred/series/group
- file_type: query; optional
- series_id: query; required
- Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_geofred_series_group",
"method": "GET",
"path": "/apis/v1/geofred/series/group",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "file_type",
"in": "query",
"required": false,
"schema": {
"type": "string",
"enum": [
"xml",
"json"
],
"default": "xml"
},
"description": "A key or file extension that indicates the type of file to send.\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"x-aisa-reference-declarations": [
"One of the following values: 'xml', 'json'",
"optional, default: xml"
]
},
{
"name": "series_id",
"in": "query",
"required": true,
"schema": {
"type": "string"
},
"description": "The FRED series id you want to request maps meta information for. Not all series that are in FRED have geographical data.\nstring, required",
"x-aisa-reference-declarations": [
"string, required"
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 1e-05
- Cost contract: fixed_success
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A key or file extension that indicates the type of file to send. One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
Available options:
xml, json The FRED series id you want to request maps meta information for. Not all series that are in FRED have geographical data. string, required
Response
Official representation and examples only; no complete response schema is declared.